package com.hotent.surveyinfo.manager;

import com.hotent.base.manager.BaseManager;
import com.hotent.surveyinfo.model.CostSurveyFdTemplateItems;
import com.hotent.surveyinfo.model.CostSurveyTemplateItems;

import java.util.List;
import java.util.Map;

/**
 * 指标项子表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-19
 */
public interface CostSurveyFdTemplateItemsManager extends BaseManager<CostSurveyFdTemplateItems> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostSurveyFdTemplateItems getDetail(String id);
	/**
	 * 新建、更新指标项子表
	 * @param costSurveyTemplateItems
	 * @return
	 */
	void createOrUpdate(CostSurveyFdTemplateItems costSurveyTemplateItems);

	List<CostSurveyFdTemplateItems> selectBySurveyTemplateId(String surveyTemplateId);
	void deleteBySurveyTemplateIdAndVersionId(String surveyTemplateId, String versionId);
	boolean validateFormula(CostSurveyFdTemplateItems item, Map<String, Object> data);
	List<CostSurveyFdTemplateItems> getCellCodesBySurveyTemplateId(String templateId, String versionId);
}
